<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-row flex-wrap items-center justify-center mx-auto py-5 -mx-6">
        <div class="flex flex-col mx-6 my-3">
            <div class="text-indigo-900 leading-none font-Semibold-40">
                <div>Top Up Method</div>
            </div>
        </div>
    </div>
    <div class="flex flex-col  items-center sm:justify-center min-w-0">
        <div class="w-full sm:w-auto px-6 sm:p-8 sm:shadow bg-card box-width">
            <div class="w-full max-w-150 sm:w-100 mx-auto sm:mx-0">
                <!-- Main -->
                <div class="flex-auto px-12 py-5 text-center">
                    <!-- CONTENT GOES HERE -->
                    <form class="md:container md:mx-auto font-Regular-16" [formGroup]="bankListForm"
                        #bankListNgForm="ngForm">
                        <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                            <mat-select id="bankCode" formControlName="bankCode" placeholder="Choose Bank" required>
                                <mat-option *ngFor="let item of dropdownData" [value]="item.code">
                                    {{ item.name}}
                                </mat-option>
                            </mat-select>

                            <mat-error *ngIf="bankListForm.get('bankCode').hasError('required')">
                                You must select an option
                            </mat-error>
                        </mat-form-field>
                        <div id="topUpMethod" class="relative flex flex-col flex-auto items-center w-auto mt-3">
                            <button class="w-full button-r5" style="padding: 27px !important;" mat-flat-button
                                [color]="'primary'" (click)="nextBtn()" [disabled]="bankListForm.disabled"
                                *ngIf="!bankListForm.disabled">
                                <span class="font-Semibold-14">Confirm</span>
                                <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'">
                                </mat-progress-spinner>
                            </button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>